﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System.Text.RegularExpressions;

namespace WindowsFormsApplication188
{
    public partial class Form1 : MetroForm
    {

        List<string> CheckedNodes = new List<string>();

        #region Constructor
        public Form1()
        {
            InitializeComponent();
        }
        #endregion

        #region Events
        private void treeViewAdv1_NodeMouseClick(object sender, Syncfusion.Windows.Forms.Tools.TreeViewAdvMouseClickEventArgs e)
        {

            if (e.Node.Checked)
                e.Node.CheckState = CheckState.Unchecked;
            else
                e.Node.CheckState = CheckState.Checked;

            this.CheckedNodes.Clear();

            for (int i = 0; i < this.treeViewAdv1.Nodes.Count; i++)
            {
                if (this.treeViewAdv1.Nodes[i].Checked)
                {
                    CheckedNodes.Add(this.treeViewAdv1.Nodes[i].Text);
                }
            }

            this.comboDropDown1.Text = string.Empty;

            for (int i = 0; i < this.CheckedNodes.Count; i++)
            {
                if (i == 0)
                {
                    this.comboDropDown1.Text = this.CheckedNodes[i];
                }
                else
                {
                    this.comboDropDown1.Text = this.comboDropDown1.Text + "," + this.CheckedNodes[i];
                }
            }

        }
        #endregion
    }
}
